List of all members
clan::SoundProvider_Session Class Referenceabstract
clanSound Audio Mixing

Sound provider playback session. More...

`#include <soundprovider_session.h>`

## Public Member Functions
Construction
| SoundProvider_Session ()
virtual | ~SoundProvider_Session ()
Attributes
virtual int | get_num_samples () const =0
| Returns the number of samples in the soundbuffer. More...
virtual int | get_frequency () const =0
| Returns the playback frequency of the input data. More...
virtual int | get_position () const =0
| Returns the current position in the playback stream. More...
virtual int | get_num_channels () const =0
| Returns the number of channels filled when get_data is called. More...
Operations
virtual bool | set_looping (bool)
| Enable/disable session looping. More...
virtual bool | eof () const =0
| Returns true if no more input data is available. More...
virtual void | stop ()=0
| Stops the current stream. More...
virtual bool | play ()=0
| Start/continue playing of the stream. More...
virtual bool | set_position (int pos)=0
| Sets the position within the current stream. More...
virtual bool | set_end_position (int pos)=0
| Sets the end position within the current stream. More...
virtual int | get_data (float **data_ptr, int data_requested)=0
| Called when a playback session needs more sample data. More...

## Detailed Description

Sound provider playback session.

Interface used by ClanLib during playback of sound providers.

The documentation for this class was generated from the following file:

- soundprovider_session.h